@media screen and (max-width: 1200px){	
.template-C ul{   grid-template-columns: repeat(3, 1fr); gap: 2%; }

	
}

@media screen and (max-width: 960px){

html,body { font-size: 16px ; line-height:28px;		}
.screen{ padding:0 15px;}
#header{ position:  relative; min-height: 50px;}
.menu_arrow ul::before{ display:none;}
.right_top{ margin-right: 10px; width: auto; margin-left: auto}

#logo {  z-index: 1;}

.house_bg::before {
  left: -20px;  height: 110px;
  width: 115px; background-size: 95% 100%;
}
.house_bg::after {
  right: -20px;  height: 110px;
  width: 115px; background-size: 95% 100%;
}

.house_bg {

  height: 110px; margin:0;
  background-size: auto 110px;
}

#main-menu {
    position: fixed !important;
    top: 0; 
	background:#8c0909   !important;
	padding:30px 10px;
    bottom: 0;
    width: 100%;
    transition: all 0.5s ease-in-out;
    max-width: 280px;
    overflow-x: hidden;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
    z-index: 12;
  transform: translateX(-100%);
  transition: transform 0.3s ease-out; /* Smooth transition */
}
#menu-mask {
    display: none; /* 默认不显示 */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* 黑色半透明 */
    z-index: 2; /* 确保遮罩层位于其他内容上方 */
}
	
.site-branding{ min-height: auto ; margin: 0 10px 0 10px; padding: 0;}
.title , .blocktitle , .sch_highlights b , #banner_title h1, .banner_title h1{  font-weight: 350;  margin:15px 0;  font-size:26px; line-height:32px; }
.sch_highlights .title::before {  top:23px;    }
	
.sch_highlights{ padding: 20px 0}
.sch_highlights ul {
  padding: 15px 0;
  grid-template-columns: repeat(2, 1fr);
  gap: 10px;
}

.bg_god_msg{ padding:0}
.bg_god_msg .contents{  width: calc(100% - 0px) ; margin:30px 0%;  padding:15px; }
	
ul#main-menu li a{ color:#fff;}
#main-menu.open{transform: translateX(0);}
	


#lang {    right: auto; left: 0 ; z-index:15; top: 70px;}
#lang ul li{ margin: 0 0; background: none; } 
#lang ul li+li{ margin:0 0 0 10px}
	
.top_area {right: auto;left: 0}	
	
	
.more-link a{ font-size: 16px; line-height: 24px; }

	
.cd-top{ right:0; bottom:0;}
	
.slider-slogan{  bottom: 10%; }
.slider-slogan .slogan_text{ font-size: 1.45em;
  padding: 0.45em;
  line-height: 1.6em;
}
.breadcrumb__content{ margin:0}
.breadcrumb::after{ display:none}

.Block_A ul {  grid-template-columns: repeat(1, 1fr);  gap: 2%;}	
.template-A ul{   grid-template-columns: repeat(2, 1fr); gap: 2%; }
.template-B ul{   grid-template-columns: repeat(2, 1fr); gap: 2%; }
.template-C ul{   grid-template-columns: repeat(2, 1fr); gap: 2%; }

	
h1{ font-size:30px; line-height:38px;}
h2{ font-size:26px; line-height:34px;}
h3{ font-size:21px; line-height:30px;}
h4{ font-size:21px; line-height:30px;}
h5{ font-size:21px; line-height:30px;}
h6{ font-size:21px; line-height:30px;}

#block-sidebar-nav h2{ padding:	15px 0}
	
#main_content{width:100%}
#sidebar-nav{width:100%}
.view-more , .view-more2{ padding: 40px 0 0 0;}
	
.useful-links ul{
  grid-template-columns: repeat(2, 1fr); column-gap:
  gap: 10px;
} 
footer .copyright , footer .power{
  text-align: center;
  width: 100%; float: none;
}
footer{ padding:30px 0}
.list-item .content {flex-direction: column;}
.list-item .content b { text-align: center}
.contact_info ul li{ margin:0}
.contact_info ul li + li{  width:100%; }
.contact_info ul ul li + li{  width:auto; }
.contact_area::before{display:none}
	
.Block_A ul {
  grid-template-columns: repeat(1, 1fr);
  gap: 2%;
}	
.slider-slogan{  bottom: 10%; }
.slider-slogan .slogan_text{ font-size: 1.4em;
  padding: 0.25em;
  line-height: 1.6em;
}
#block-olivero-breadcrumbs{ margin: -20px auto 0 auto;}

#block-olivero-breadcrumbs {
  max-width: 100%;
}

.sitemap-item ul {grid-template-columns: repeat(1, 1fr); gap: 15px;}
	.breadcrumb__item {
  font-size: 13px;
}
	
.template-A ul{   grid-template-columns: repeat(1, 1fr); gap: 2%; display: list-item; padding-bottom: 50px; }
.template-B ul{   grid-template-columns: repeat(1, 1fr); gap: 2%; display: list-item; padding-bottom: 50px; }
.template-C ul{   grid-template-columns: repeat(1, 1fr); gap: 2%; display: list-item; padding-bottom: 50px; }

.news-card a{overflow: hidden;  display: block;}
	
.region--breadcrumb {margin:0; padding: 0;}

.breadcrumb__list { padding:0px; margin: 0;}
.breadcrumb{ margin:0 0 30px 0; padding:0px; }
.category ul li a {  padding: 5px 10px; font-size:1.1em;  margin: 0 10px;}
.category{ float:none ; text-align:  center;}
	

.banner_title h1{ padding:60px 0 20px 50px; margin:0; z-index:1 } 
.banner_title h1::before {width: 70px;left: -10px;
  top: 30px;     }
.banner_title::afterr{ background-size: 70% auto}

#nonbanner_title { background: url(../images/web/bg_news.png) no-repeat bottom center; }
#nonbanner_title h1{  padding:120px 0 30px 5% ; color:var(--main-color) ; text-shadow: 0 0 0; } 
#nonbanner_title h1::before {background: var(--main2-color); bottom:43px;}

.sch_highlights b{ font-size:17px; line-height: 21px; margin:0}
.sch_highlights ul li span, .sch_highlights .boxing { font-size:15px; padding:10px 0; }  
	
#block_latest-news::before { display:none}
.bg_whystcc .contents{ width:100%}
.bg_whystcc{ padding:20px 0;}
	
	
.menu_top {max-width: 960px;  height: 120px;}	
.menu_bottom {max-width: 960px;  height: 90px;}	

#block_latest-news {    width: 100%; margin-bottom: 70px}	
#block_latest-awards {  width: 100%; margin-left:0; margin-right:0; margin-bottom: 70px;        margin-top: 50px;}	
#block_video {    width: 100%; margin-bottom: 70px}	
	#block_activity {    margin: 0 0 20px 0;}
	.link_area ul li { padding: 0 ; width:calc(50% - 20px) ;flex: none; }
	.link_area ul li p {    font-size: 17.5px;}
	.banner_column { padding:0px}	

	#block_activity .blocktitle {
  margin: auto;
}
.swiper img {
  border-radius: 0px;
  overflow: hidden;
  border-top: 3px solid #fff;
}
.banner_area .screen { padding:0;}
	#logo {    width: auto;    bottom: 0;    margin: auto; top:10px}	
	#logo img {    max-height: 100px;}
	.link_area ul {    flex-wrap: wrap; margin:0; gap:10px}	
	.link_area ul li+li, .link_area ul li+li+li, .link_area ul li+li+li +li {    margin-top: 0px;}
	.contact_info ul {     display: block;}
	.contact_info ul li{  text-align: left;}
	.menu_bg { padding:50px 0 0 0}
	ul#main-menu li { width: 100%}	
	ul#main-menu ul {border-left:none;border-right:none}
	ul#main-menu > li > ul::before { display: none}
	
	#main_content table, table{ padding: 10px}
	#paragraph_text {    padding: 25px;}
	.paragraph_text_content { padding: 10px}
	#paragraph_text::before ,
	#paragraph_text::after ,
	.paragraph_text_content::before ,
	.paragraph_text_content::after{ background-size: 15px;}
#block-olivero-schoollinkshome-3,#block-olivero-schoollinkshome-3en{  margin: 0;	max-width: 100%;}	
	#link_bottom .link_area ul li span img {
  max-height: 30px;
} 	
	#link_bottom .link_area ul li span::before {width: 40px;height: 40px}	
	
	.link_area ul {    display: block;}
	.link_area ul li {        width: calc(100% - 20px);        margin-bottom: 30px;}
}